@extends('template.'.config('settings.template').'.content.master')
@section('content')

    <div class="breadcrumbs">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <nav>
                        <ol class="breadcrumb">

                            <li><a href="{{ url('/') }}">Startseite</a></li>
                            <li><a href="{{ url('/verkaufsstellen') }}">Verkaufsstellen</a></li>
                            <li class="active">Pleystein</li>

                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-sm-3  hidden-xss">
                <h3 id="logo"><span class="light">Städte</span></h3>
                <hr class="sidebar-divider">
                <div class="features-menu  js--affix-menu">
                    <ul class="nav  nav-sidebar-menu">

                        <li><a class="sidebar-menu__links" href="{{ url('/verkaufsstellen') }}">Übersicht</a></li>
                        <li class="active"><a href="{{ url('/hofladen-pleystein') }}">Pleystein</a></li>
                        <li><a href="{{ url('/bauernmarkt-vohenstrauss') }}">Vohenstrauß</a></li>
                        <li><a href="{{ url('/bauernmarkt-weiden') }}">Weiden</a></li>
                        <li><a href="{{ url('/donaumarkt-regensburg') }}">Regensburg</a></li>
                        <li><a href="{{ url('/wochenmarkt-neutraubling') }}">Neutraubling</a></li>
                        <li><a href="{{ url('/wochenmarkt-burglengenfeld') }}">Burglengenfeld</a></li>
                    </ul>
                </div>
            </div>
            <div class="col-xs-12  col-sm-9">
                <h3>Unsere Verkaufsstandorte</h3>
                <hr class="title__divider">
                <h1>Hofmarkt Pleystein</h1>

                <h2>Öffungszeiten</h2>
                <p>
                    Mittwoch bis Donnerstag Vormittag geöffnet
                    <br>

                    Nur Freitag bis 17.00 Uhr geöffnet
                  <br>
                  Samstag bis 11:00 Uhr
                </p>

                <h2>Bilder</h2>
                <!-- 3 collumns gallery -->
                <div class="row">
                    <div class="col-xs-12  col-sm-4  push-down-20">
                        <img class="gallery" alt="Gallery image" src="{{asset('template/images/donaumarkt-regensburg-3.jpg')}}"">
                    </div>

                </div>

            </div>
            <hr class="divider">
        </div>
    </div>
    </div>





@stop
